Bug 2107469 - Confusing subtitle in Create Service Binding modal when the target is already known
Summary: Confusing subtitle in Create Service Binding modal when the target is already...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.12
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.12.0
Assignee: divgupta
QA Contact: spathak@redhat.com
URL:
Whiteboard:
: 2107470 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-15 07:22 UTC by Christoph Jerolimov
Modified: 2022-08-31 09:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
create-service-binding-modal-case-1.png (22.70 KB, image/png)
2022-07-15 07:23 UTC, Christoph Jerolimov
no flags Details
create-service-binding-modal-case-2.png (17.56 KB, image/png)
2022-07-15 07:24 UTC, Christoph Jerolimov
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 11898 0 None open Bug 2107469: Fix service-binding modal sub-title text when the target is available 2022-07-29 10:45:59 UTC

Description Christoph Jerolimov 2022-07-15 07:22:35 UTC
Description of problem:
We've got the feedback from Rolfe from the docs-team that the subtitle in the "Create Service Binding" modal is confusing. See also https://github.com/openshift/openshift-docs/pull/47760#discussion_r921540407

The modal exists in two versions:

a) When the user creates a binding and needs to specific a target. In this case, the user needs to enter a "Name" for the SB and has the option "Bindable Service" to select a target from a dropdown.

b) When the user creates a binding and the target is already known. In this case the user can change the prefilled SB "Name". The target can not be changed and the dropdown is not shown.

The subtitle is "Select a service to connect to." in both cases. But in the second case, there is nothing to select.


Version-Release number of selected component (if applicable):
4.12, older versions as well.

How reproducible:
Always

Steps to Reproduce:
1. Install the Service Binding operator
2. Install a bindable operator, for example Crunchy Postgres or Kafka
3. Navigate to developer perspective > Add
4. Import a component from Git or Container image
5. In the topology, right-click the new Deployment and select "Create Service Binding". You can see both input fields. Cancel this!
6. Hover over the new Deployment and drag the small arrow and drop it outside of any application and choose 'Operator Backed' from the action menu.
7. Filter for 'Bindable' Service Bindings and select one.
8. Create the Bindable resource

Now you will see the topology again and the "Create Service Binding" modal without the option to select a target.

Actual results:
The modal has the same subtitle in both cases.

Case 1:
> Create Service Binding
> Select a service to connect to.
> Name *
> Bindable service *

Case 2:
> Create Service Binding
> Select a service to connect to.
> Name *

Expected results:
The modal should show another subtitle, that mentions the target resource.

For example (please check the exact sentence with PM/UX)


Case 1:
> Create Service Binding
> Select a service to connect to `$source`.    // We can show the selected resource name here as well?!
> Name *
> Bindable service *

Case 2:
> Create Service Binding
> Connect service `$target` to `$source`       // Show the created resource name here.
> Name *


We should show them maybe as a ResourceLink. In this case, we should enforce that these links are opened in a new tab so that the modal doesn't get lost?

Comment 1 Christoph Jerolimov 2022-07-15 07:23:11 UTC
*** Bug 2107470 has been marked as a duplicate of this bug. ***

Comment 2 Christoph Jerolimov 2022-07-15 07:23:48 UTC
Created attachment 1897309 [details]
create-service-binding-modal-case-1.png

Comment 3 Christoph Jerolimov 2022-07-15 07:24:02 UTC
Created attachment 1897310 [details]
create-service-binding-modal-case-2.png

Comment 5 Christoph Jerolimov 2022-08-31 09:11:55 UTC
Verified on 4.12.0-ec.2


Note You need to log in before you can comment on or make changes to this bug.